Bug 269481 - brp-java-repack-jars tries to repack empty (ghost) jars created by jpackage's sun nosrc rpms
brp-java-repack-jars tries to repack empty (ghost) jars created by jpackage's...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-rpm-config (Show other bugs)
5.0
All Linux
medium Severity low
: rc
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 17:24 EDT by Kai Bolay
Modified: 2011-02-10 08:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:04:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ignore size 0 JARs (353 bytes, patch)
2007-08-30 17:24 EDT, Kai Bolay
no flags Details | Diff

  None (edit)
Description Kai Bolay 2007-08-30 17:24:30 EDT
Description of problem:


Version-Release number of selected component (if applicable):


When trying to build RPMs using jpackage's nosrc rpms for Sun's JDK
brp-java-repack-jars tries (unsuccessfully) to rebuild
/usr/lib/jvm/java-x.y.z-sun-x.y.z.p/jre/lib/security/{local_policy,US_export_policy}.jar

Their spec file does this:

# jce policy file handling
install -d -m 755 $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
for file in local_policy.jar US_export_policy.jar; do
  mv $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file \
    $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
  # for ghosts
  touch $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file
done

%ghost %{_jvmdir}/%{jredir}/lib/security/local_policy.jar
%ghost %{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar


I suggest a simple patch to get rid of those spurious and confusing errors:
Change brp-java-repack-jars to ignore "empty" (size 0) JARs. I've attached a
simple patch.
Comment 1 Kai Bolay 2007-08-30 17:24:30 EDT
Created attachment 182161 [details]
Ignore size 0 JARs
Comment 2 RHEL Product and Program Management 2008-07-21 19:09:34 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Kai Bolay 2008-07-21 20:10:30 EDT
(In reply to comment #2)

> If you would like this request to be reviewed for the next 
> minor release, ask your support representative to set the 
> next rhel-x.y flag to "?".

Please set the next rhel-x.y flag to "?".
Comment 5 RHEL Product and Program Management 2008-07-28 15:52:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Jon Masters 2008-09-17 15:55:20 EDT
In redhat-rpm-config-8_0_45-26_el5
Comment 13 errata-xmlrpc 2009-01-20 17:04:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0224.html

Note You need to log in before you can comment on or make changes to this bug.